Bug 1741890 - geo-rep: Changelog archive file format is incorrect
Summary: geo-rep: Changelog archive file format is incorrect
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: geo-replication
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kotresh HR
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1743634 1746140 1764023 1764176
TreeView+ depends on / blocked
 
Reported: 2019-08-16 10:55 UTC by Kotresh HR
Modified: 2019-10-22 12:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1743634 1746140 1764023 (view as bug list)
Environment:
Last Closed: 2019-08-22 10:03:57 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gluster.org Gerrit 23248 None Merged geo-rep: Fix the name of changelog archive file 2019-08-22 10:03:56 UTC

Description Kotresh HR 2019-08-16 10:55:46 UTC
Description of problem:

The created changelog archive file didn't have corresponding year
and month. It created as "archive_%Y%m.tar" on python2 only systems.

[root@rhs-gp-srv7 xsync]# ls -l
total 664564
-rw-r--r--. 1 root root 680509440 Aug 15 16:51 archive_%Y%m.tar
[root@rhs-gp-srv7 xsync]#

Version-Release number of selected component (if applicable):
mainline

How reproducible:
Always on python2 only machine (centos7)

Steps to Reproduce:
1. Create geo-rep session on python2 only machine
2. ls -l /var/lib/misc/gluster/gsyncd/<session>/<brick>/.processed/


Actual results:
changelog archive file format is incorrect. Not substituted with corresponding year and month

Expected results:
changelog archive file name should have correct year and month

Additional info:

Comment 1 Worker Ant 2019-08-16 10:59:26 UTC
REVIEW: https://review.gluster.org/23248 (geo-rep: Fix the name of changelog archive file) posted (#1) for review on master by Kotresh HR

Comment 2 Worker Ant 2019-08-22 10:03:57 UTC
REVIEW: https://review.gluster.org/23248 (geo-rep: Fix the name of changelog archive file) merged (#4) on master by Aravinda VK


Note You need to log in before you can comment on or make changes to this bug.